Last Comment Bug 532071 - Changing MailNews Layout Mode causes RSS message body to stay hidden
: Changing MailNews Layout Mode causes RSS message body to stay hidden
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Feed Reader (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 596234
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-01 03:37 PST by Mark Banner (:standard8, afk until Dec)
Modified: 2012-09-22 08:21 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Mark Banner (:standard8, afk until Dec) 2009-12-01 03:37:30 PST
Bug 531397 was raised about display of RSS feeds being broken when switching between views in Thunderbird (the body of the RSS feed - web page or summary won't show).

In investigating that bug, I've also found that viewing the web page or summary of an RSS feed when Thunderbird is in Wide or Vertical layouts is broken - the body of the message to display.

STR:

1) Set up Thunderbird (3.0 RC 1) and Lightning (20091124 build) with Thunderbird in Wide or Vertical layout mode.

2) Restart Thunderbird

3) Attempt to view an RSS item

Result:
The RSS header is displayed but not the summary or web page in the "body" part.
Comment 1 Philipp Kewisch [:Fallen] 2009-12-01 12:35:55 PST
We should try to fix this, possibly in b1rc2. Do you have some statistics on how commonly the wide/vertical views are used?
Comment 2 Philipp Kewisch [:Fallen] 2009-12-05 11:51:24 PST
Its not specifically the wide or vertical view, changing the view mode provokes this bug. I'm not sure this is really a calendar bug though.

http://mxr.mozilla.org/comm-central/source/mail/themes/gnomestripe/mail/messageBody.css#158

When the selected attribute is set to false, then no body is displayed. When changing layout modes, then the selected attribute is somehow set to false. I haven't found out in which situations the selected attribute is modified, but I see its set to false by default:

http://mxr.mozilla.org/comm-central/source/mailnews/extensions/newsblog/content/FeedItem.js#53
Comment 3 Philip Chee 2009-12-05 13:12:26 PST
>  I haven't found out in which situations the selected attribute is modified,

According to MXR, the only place where this attribute is modified is in FeedCheckContentFormat()

<http://mxr.mozilla.org/comm-central/source/mail/base/content/mailWindowOverlay.js#2969>
Comment 4 Philipp Kewisch [:Fallen] 2009-12-08 01:04:51 PST
Which doesn't seem to be called when the panes change. All that seems to happen is that the message is reloaded, but this doesn't trigger checking the content format of the rss items.

I think we should merely relnote this for Calendar. The workaround is to restart Thunderbird after changing the view mode. Also, I think this bug should be moved to Thunderbird land.
Comment 5 Philip Chee 2009-12-08 01:33:26 PST
If you move this bug, could you move it to mailnews-core instead? We (SeaMonkey) seem to have copied the logic from Thunderbird as well.
Comment 6 Philip Chee 2010-03-28 06:57:35 PDT
162       var content = MESSAGE_TEMPLATE;
163       content = content.replace(/%TITLE%/, this.title);
164       content = content.replace(/%BASE%/, htmlEscape(this.contentBase));
165       content = content.replace(/%CONTENT%/, this.content);

Isn't "content" a magic word?
Comment 7 Magnus Melin 2010-05-09 11:57:54 PDT
(In reply to comment #6)
> Isn't "content" a magic word?

Only in IE ;)
Comment 8 Brandon Bertelsen 2010-07-13 06:15:12 PDT
The platform above specifies that this bug occurs only in Mac OSX, but I can confirm that it also occurs on Windows 7.
Comment 9 Brandon Bertelsen 2010-07-13 06:16:26 PDT
(In reply to comment #4)
> Which doesn't seem to be called when the panes change. All that seems to happen
> is that the message is reloaded, but this doesn't trigger checking the content
> format of the rss items.
> 
> I think we should merely relnote this for Calendar. The workaround is to
> restart Thunderbird after changing the view mode. Also, I think this bug should
> be moved to Thunderbird land.

The work around specified has no effect. The body of the message is not viewable after a restart for me (Windows 7)
Comment 10 alta88 2012-09-22 08:21:01 PDT
fixed in Bug 596234.

Note You need to log in before you can comment on or make changes to this bug.